Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/WcfService.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/WcfService.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/WcfService.cs	(revision 4091)
@@ -26,14 +26,15 @@
 using System.ServiceModel;
 using HeuristicLab.Hive.Contracts.Interfaces;
-using HeuristicLab.Hive.Contracts;
-using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Client.Common;
-using HeuristicLab.Hive.Client.Communication.ServerService;
 using HeuristicLab.PluginInfrastructure;
 using System.IO;
 using System.Runtime.Serialization.Formatters.Binary;
 using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Contracts;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
 
 namespace HeuristicLab.Hive.Client.Communication {
+  using Service = HeuristicLab.Hive.Client.Communication.ServerService;
+
   /// <summary>
   /// WcfService class is implemented as a Singleton and works as a communication Layer with the Server
@@ -64,5 +65,5 @@
     public event EventHandler Connected;    
 
-    public ClientFacadeClient proxy = null;
+    public Service.ClientFacadeClient proxy = null;
 
     /// <summary>
@@ -85,6 +86,6 @@
 
         Logger.Debug("Creating the new connection proxy");
-        proxy = new ClientFacadeClient(
-          WcfSettings.GetStreamedBinding(),
+        proxy = new HeuristicLab.Hive.Client.Communication.ServerService.ClientFacadeClient(
+          HeuristicLab.Hive.Contracts.WcfSettings.GetStreamedBinding(),
           new EndpointAddress("net.tcp://" + ServerIP + ":" + ServerPort + "/HiveServer/ClientCommunicator")
         );
@@ -92,9 +93,9 @@
 
         Logger.Debug("Registring new Events");
-        proxy.LoginCompleted += new EventHandler<LoginCompletedEventArgs>(proxy_LoginCompleted);
-        proxy.SendStreamedJobCompleted += new EventHandler<SendStreamedJobCompletedEventArgs>(proxy_SendStreamedJobCompleted);
-        proxy.StoreFinishedJobResultStreamedCompleted += new EventHandler<StoreFinishedJobResultStreamedCompletedEventArgs>(proxy_StoreFinishedJobResultStreamedCompleted);
-        proxy.ProcessSnapshotStreamedCompleted += new EventHandler<ProcessSnapshotStreamedCompletedEventArgs>(proxy_ProcessSnapshotStreamedCompleted);
-        proxy.ProcessHeartBeatCompleted += new EventHandler<ProcessHeartBeatCompletedEventArgs>(proxy_ProcessHeartBeatCompleted);
+        proxy.LoginCompleted += new EventHandler<Service.LoginCompletedEventArgs>(proxy_LoginCompleted);
+        proxy.SendStreamedJobCompleted += new EventHandler<Service.SendStreamedJobCompletedEventArgs>(proxy_SendStreamedJobCompleted);
+        proxy.StoreFinishedJobResultStreamedCompleted += new EventHandler<Service.StoreFinishedJobResultStreamedCompletedEventArgs>(proxy_StoreFinishedJobResultStreamedCompleted);
+        proxy.ProcessSnapshotStreamedCompleted += new EventHandler<Service.ProcessSnapshotStreamedCompletedEventArgs>(proxy_ProcessSnapshotStreamedCompleted);
+        proxy.ProcessHeartBeatCompleted += new EventHandler<Service.ProcessHeartBeatCompletedEventArgs>(proxy_ProcessHeartBeatCompleted);
         Logger.Debug("Registered new Events");
         Logger.Debug("Opening the Connection");
@@ -164,5 +165,5 @@
     /// </summary>
     #region Login
-    public event System.EventHandler<LoginCompletedEventArgs> LoginCompleted;
+    public event System.EventHandler<Service.LoginCompletedEventArgs> LoginCompleted;
     public void LoginAsync(ClientDto clientInfo) {
       if (ConnState == NetworkEnum.WcfConnState.Connected) {
@@ -171,5 +172,5 @@
       }
     }
-    private void proxy_LoginCompleted(object sender, LoginCompletedEventArgs e) {
+    private void proxy_LoginCompleted(object sender, Service.LoginCompletedEventArgs e) {
       if (e.Error == null) {
         Logger.Debug("ENDED: Login Async");
@@ -183,5 +184,5 @@
         if (ConnState == NetworkEnum.WcfConnState.Connected) {
           Logger.Debug("STARTED: Login Sync");
-          Response res = proxy.Login(clientInfo);
+          HeuristicLab.Hive.Contracts.Response res = proxy.Login(clientInfo);
           if (!res.Success) {
             Logger.Error("FAILED: Login Failed! " + res.StatusMessage);
@@ -204,5 +205,5 @@
     /// </summary>
     #region PullJob
-    public event System.EventHandler<SendJobCompletedEventArgs> SendJobCompleted;
+    public event System.EventHandler<Service.SendJobCompletedEventArgs> SendJobCompleted;
     public void SendJobAsync(Guid guid) {
       if (ConnState == NetworkEnum.WcfConnState.Loggedin) {
@@ -212,5 +213,5 @@
     }
 
-    void proxy_SendStreamedJobCompleted(object sender, SendStreamedJobCompletedEventArgs e) {
+    void proxy_SendStreamedJobCompleted(object sender, Service.SendStreamedJobCompletedEventArgs e) {
       if (e.Error == null) {
         Logger.Debug("ENDED: Fetching of Jobs from Server for Client");
@@ -238,6 +239,6 @@
           memStream.Close();
 
-          SendJobCompletedEventArgs completedEventArgs =
-            new SendJobCompletedEventArgs(new object[] { response, memStream.GetBuffer() }, e.Error, e.Cancelled, e.UserState);
+          Service.SendJobCompletedEventArgs completedEventArgs =
+            new Service.SendJobCompletedEventArgs(new object[] { response, memStream.GetBuffer() }, e.Error, e.Cancelled, e.UserState);
           SendJobCompleted(sender, completedEventArgs);
         } catch (Exception ex) {
@@ -260,5 +261,5 @@
     /// </summary>
     #region SendJobResults
-    public event System.EventHandler<StoreFinishedJobResultCompletedEventArgs> StoreFinishedJobResultCompleted;
+    public event System.EventHandler<Service.StoreFinishedJobResultCompletedEventArgs> StoreFinishedJobResultCompleted;
     public void StoreFinishedJobResultAsync(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception, bool finished) {
       if (ConnState == NetworkEnum.WcfConnState.Loggedin) {
@@ -272,5 +273,5 @@
       }
      }
-    private void proxy_StoreFinishedJobResultStreamedCompleted(object sender, StoreFinishedJobResultStreamedCompletedEventArgs e) {
+    private void proxy_StoreFinishedJobResultStreamedCompleted(object sender, Service.StoreFinishedJobResultStreamedCompletedEventArgs e) {
       Logger.Debug("Finished storing the job");
       Stream stream =
@@ -281,6 +282,6 @@
       }
       if (e.Error == null) {
-        StoreFinishedJobResultCompletedEventArgs args =
-          new StoreFinishedJobResultCompletedEventArgs(
+        Service.StoreFinishedJobResultCompletedEventArgs args =
+          new Service.StoreFinishedJobResultCompletedEventArgs(
             new object[] { e.Result }, e.Error, e.Cancelled, e.UserState);
         Logger.Debug("calling the Finished Job Event");
@@ -294,5 +295,5 @@
 
     #region Processsnapshots
-    public event System.EventHandler<ProcessSnapshotCompletedEventArgs> ProcessSnapshotCompleted;
+    public event System.EventHandler<Service.ProcessSnapshotCompletedEventArgs> ProcessSnapshotCompleted;
     public void ProcessSnapshotAsync(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception, bool finished) {
       if (ConnState == NetworkEnum.WcfConnState.Loggedin) {
@@ -303,5 +304,5 @@
       }
     }
-    void proxy_ProcessSnapshotStreamedCompleted(object sender, ProcessSnapshotStreamedCompletedEventArgs e) {
+    void proxy_ProcessSnapshotStreamedCompleted(object sender, Service.ProcessSnapshotStreamedCompletedEventArgs e) {
       Stream stream =
         (Stream)e.UserState;
@@ -310,6 +311,6 @@
       
       if (e.Error == null) {
-        ProcessSnapshotCompletedEventArgs args =
-          new ProcessSnapshotCompletedEventArgs(
+        Service.ProcessSnapshotCompletedEventArgs args =
+          new Service.ProcessSnapshotCompletedEventArgs(
             new object[] { e.Result }, e.Error, e.Cancelled, e.UserState);
 
@@ -326,5 +327,5 @@
     #region Heartbeat
 
-    public event System.EventHandler<ProcessHeartBeatCompletedEventArgs> ProcessHeartBeatCompleted;
+    public event System.EventHandler<Service.ProcessHeartBeatCompletedEventArgs> ProcessHeartBeatCompleted;
     public void ProcessHeartBeatAsync(HeartBeatData hbd) {
       if (ConnState == NetworkEnum.WcfConnState.Loggedin)
@@ -333,5 +334,5 @@
     }
 
-    private void proxy_ProcessHeartBeatCompleted(object sender, ProcessHeartBeatCompletedEventArgs e) {
+    private void proxy_ProcessHeartBeatCompleted(object sender, Service.ProcessHeartBeatCompletedEventArgs e) {
       if (e.Error == null && e.Result.Success) {
         ProcessHeartBeatCompleted(sender, e);
@@ -406,5 +407,5 @@
     }
 
-    public List<CachedHivePluginInfoDto> RequestPlugins(List<HivePluginInfoDto> requestedPlugins) {
+    public List<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto> RequestPlugins(List<HivePluginInfoDto> requestedPlugins) {
       try {
         Logger.Debug("STARTED: Requesting Plugins for Job");
@@ -451,5 +452,5 @@
     }
 
-    public Response SetCalendarStatus (Guid clientId, CalendarState state) {
+    public Response SetCalendarStatus(Guid clientId, CalendarState state) {
       try {
         Logger.Debug("STARTED: Setting Calendar status to: " + state);
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/Properties/AssemblyInfo.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/Properties/AssemblyInfo.cs	(revision 4091)
@@ -57,5 +57,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.3.0.4077")]
-[assembly: AssemblyFileVersion("3.3.0.4077")]
-[assembly: AssemblyBuildDate("2010/07/22 13:53:38")]
+[assembly: AssemblyVersion("3.3.0.4078")]
+[assembly: AssemblyFileVersion("3.3.0.4078")]
+[assembly: AssemblyBuildDate("2010/07/22 16:16:39")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.ExecutionEngine/3.3/Executor.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.ExecutionEngine/3.3/Executor.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.ExecutionEngine/3.3/Executor.cs	(revision 4091)
@@ -24,4 +24,5 @@
 using HeuristicLab.Hive.Contracts;
 using HeuristicLab.Hive.JobBase;
+using HeuristicLab.Persistence.Core;
 
 namespace HeuristicLab.Hive.Client.ExecutionEngine {
@@ -50,7 +51,10 @@
     public void Start(byte[] serializedJob) {
       CreationTime = DateTime.Now;
-      Job = (IJob)PersistenceManager.RestoreFromGZip(serializedJob);
+      throw new NotImplementedException("TODO[chn] use persistency-3.3");
+      // Job = (IJob)PersistenceManager.RestoreFromGZip(serializedJob);
+      
       //debug
-      //Job = new TestJob();
+      Job = new TestJob();
+
       Job.JobStopped += new EventHandler(Job_JobStopped);
       Job.JobFailed += new EventHandler(Job_JobFailed);
@@ -114,9 +118,11 @@
 
     private byte[] SerializeJobObject() {
-      return PersistenceManager.SaveToGZip(Job);
+      throw new NotImplementedException("TODO[chn] use persistency-3.3");
+      return null; // PersistenceManager.SaveToGZip(Job);
     }
 
     private void RestoreJobObject(byte[] sjob) {
-      Job = (IJob)PersistenceManager.RestoreFromGZip(sjob);
+      throw new NotImplementedException("TODO[chn] use persistency-3.3");
+      //Job = (IJob)PersistenceManager.RestoreFromGZip(sjob);
     }
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.ExecutionEngine/3.3/HeuristicLab.Hive.Client.ExecutionEngine-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.ExecutionEngine/3.3/HeuristicLab.Hive.Client.ExecutionEngine-3.3.csproj	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.ExecutionEngine/3.3/HeuristicLab.Hive.Client.ExecutionEngine-3.3.csproj	(revision 4091)
@@ -76,4 +76,7 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Persistence-3.3">
+      <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Persistence-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HiveContractPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HiveContractPlugin.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HiveContractPlugin.cs	(revision 4091)
@@ -26,8 +26,8 @@
 
 namespace HeuristicLab.Hive.Server {
-  [Plugin("HeuristicLab.Hive.Contracts-3.3")]
+  [Plugin("HeuristicLab.Hive.Contracts", "3.3")]
   [PluginFile("HeuristicLab.Hive.Contracts-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
-  [PluginDependency("HeuristicLab.DataAccess-3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
   public class HiveServerContracts : PluginBase {
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HeuristicLab.Hive.Engine-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HeuristicLab.Hive.Engine-3.3.csproj	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HeuristicLab.Hive.Engine-3.3.csproj	(revision 4091)
@@ -103,4 +103,10 @@
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
+    <Reference Include="HeuristicLab.SequentialEngine-3.3">
+      <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.SequentialEngine-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Tracing-3.3">
+      <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -125,12 +131,12 @@
     <Compile Include="HeuristicLabHiveEnginePlugin.cs" />
     <Compile Include="HiveEngine.cs" />
-    <Compile Include="HiveEngineEditor.cs" />
-    <Compile Include="HiveEngineEditor.Designer.cs">
-      <DependentUpon>HiveEngineEditor.cs</DependentUpon>
-    </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="ServiceLocator.cs" />
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.DataAccess\3.3\HeuristicLab.DataAccess-3.3.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
@@ -145,10 +151,4 @@
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
-  </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="HiveEngineEditor.resx">
-      <DependentUpon>HiveEngineEditor.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
   </ItemGroup>
   <ItemGroup>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HeuristicLabHiveEnginePlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HeuristicLabHiveEnginePlugin.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Engine/3.3/HeuristicLabHiveEnginePlugin.cs	(revision 4091)
@@ -29,14 +29,14 @@
   /// Plugin class for HeuristicLab.Hive.Engine plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Hive.Engine-3.3")]
+  [Plugin("HeuristicLab.Hive.Engine", "3.3")]
   [PluginFile("HeuristicLab.Hive.Engine-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Common","3.3.0.0")]
-  [PluginDependency("HeuristicLab.Core-3.3")]
-  [PluginDependency("HeuristicLab.Data-3.3")]
-  [PluginDependency("HeuristicLab.DataAccess-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Contracts-3.3")]
-  [PluginDependency("HeuristicLab.Hive.JobBase-3.3")]
-  [PluginDependency("HeuristicLab.SequentialEngine-3.3")]
-  [PluginDependency("HeuristicLab.Tracing","3.3.0.0")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.SequentialEngine", "3.3")]
+  [PluginDependency("HeuristicLab.Tracing", "3.3")]
   public class HeuristicLabHiveEnginePlugin : PluginBase {
   }
